petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetPrevTime

Gets the starting time of the previously completed step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetPrevTime(TS ts,PetscReal *t)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

t -the previous time

### See Also

TSGetTime(), TSGetSolveTime(), TSGetTimeStep()

### Keywords

TS, get, time

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex16adj.c.html
src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages